/*
 File:			HeadlineDef.h
 Contains:		Headline Common constants used by .cpp & .r file
 Written by:	PartMaker 
*/

#ifndef _HEADLINEDEF_
#define _HEADLINEDEF_

// Kind
#define kHeadlineKind "DartmouthCollege:Kind:Headline"

// Category
#define kHeadlineCategory "DartmouthCollege:Category:Headline"

// Editor User String
#define kHeadlineEditorUserString "Headline 1.0"

// Kind User String
#define kHeadlineKindUserString "Headline Kind"

// Category User String
#define kHeadlineCategoryUserString "Headline Category"

// nmap Resources
#define kKindCategoryMapId			kNMAPid+1
#define kEditorKindMapId			kNMAPid+2
#define kEditorUserStringMapId		kNMAPid+3
#define kKindUserStringMapId		kNMAPid+4
#define kCategoryUserStringMapId	kNMAPid+5
#define kOldMacOSTypeMapId			kNMAPid+6

// The "Picture" menu's resource and menu ID:
#define kMenuID               		5000

// About box Alert ID
#define kHeadlineAboutBoxID  		5000

// Icons
#define kHelloIconSuite				129	

// Typical data types
#define kODAppleTEXT				"Apple:OSType:Scrap:TEXT"
#define kODApplestyl				"Apple:OSType:Scrap:styl"
#define kODApplePICT				"Apple:OSType:Scrap:PICT"
#define kODApplestxt				"Apple:OSType:Scrap:stxt"
#define kODApplehfs					"Apple:OSType:Scrap:hfs "
#define kODApplealis				"Apple:OSType:Scrap:alis"
#define kODApplesect				"Apple:OSType:Scrap:sect"

// Creators (you must modify these to make them unique, register them!!!)
#define kDocumentFileType			'PMDC'	// PartMaker Part Document
#define kStationeryFileType			'sPMD'	// PartMaker Part Document Stationery
#define kEditorFileType				'PMED'	// PartMaker Part Editor
#define kViewerFileType				'PMVW'	// PartMaker Part Viewer (type of Headline)
	// Don't forget to modify your Headline.68K.Make and Headline. (Project Preferences)

// Don't touch this one
#define kOpenDocShellSignature		'odtm'

#endif

